
QGIS Application - Bug report #8608

Wrong information in UI for min and max Scale denominator

2013-09-13 06:23 AM - Yves Jacolin

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 17349

Description

Label for the form to setup Maximum and minimum scale denominator (general tab in properties dialog of the layer) have been reversed

each other. Maximum scale denominator should be the lowest scale denominator and minimum should the highest scale like Style scale

denominator.

Related issues:

Related to QGIS Application - Bug report # 8546: default maximum scale shows ... Closed 2013-09-01

History

#1 - 2015-11-29 06:29 AM - Sebastian Dietrich

The scale based visibility settings for the layer do not refer to the scale denominator but to the scale itself. A large scale is a scale with a small

denominator. You enter 1:1000 (the scale), not 1000 (the denomiator) here. So the terminology is correct.

Of course this is different to the scale based visibility settings for the labels where you enter the denominator, not the scale.

I agree the UI should be consistent at this point. On the other hand the user can fetch the minimum and maximum settings from the feature data and the

current UI is a hint QGIS expects only the denominator (e.g. the number 1000) at this point, not the whole scale (e.g. the string 1:1000).

#2 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-06-09 06:53 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Seems fixed in latest releases
